{* Pour le fonctionnement du js : voir le fichier js/admin/dashboard.js *}
<section id="hh_dashmodule" class="panel widget">

<header class="panel-heading">
    <i class="icon-barcode"></i>{l s='hh sample dashboard module' mod='hh_dashmodule'}
    <span class="panel-heading-action">
        <a class="list-toolbar-btn" href="#" onclick="toggleDashConfig('hh_dashmodule'); return false;" title="{l s='Configure' d='Admin.Actions'}">
                <i class="process-icon-configure"></i>
        </a>
        <a class="list-toolbar-btn" href="#"  onclick="refreshDashboard('hh_dashmodule'); return false;"  title="{l s='Refresh' d='Admin.Actions'}">
                <i class="process-icon-refresh"></i>
        </a>
    </span>
</header>

<section id="hh_dashmodule_config" class="dash_config hide">
    <header><i class="icon-wrench"></i> {l s='Configuration' d='Admin.Global'}</header>
    {$configForm}
</section>

<section class="loading">
    <p>{l s='Sample content which need to be updated' mod='hh_dashmodule'}</p>

    {* Gestion des données de type data_value *}
    <span class="data-value size_md">
        <span class="data-label">{l s='Sample updated data ( current timestamp )' mod='hh_dashmodule'}</span>
        {* Information remplie automatiquement par le script l'id correspond à la clé du tableau renvoyé dans data-value *}
        <span id="current_time"></span>
        <br />
        <span class="data-label">{l s='Other data' mod='hh_dashmodule'}</span>
        <span id="sample_data"></span>
    </span>
    <p>&nbsp;</p>
</section>


{* Gestion des données de type data_table *}
<section class="hh_dashmodule_table">
    <div class="tab-pane">
        <h3>{l s='Sample data table' mod='hh_dashmodule'}</h3>
        <div class="table-responsive">
                {* Id = clé du tableau *}
                <table class="table data_table" id="table_hh_sample_table">
                        <thead></thead>
                        <tbody></tbody>
                </table>
        </div>
    </div>
    <p>&nbsp;</p>
</section>

{* Gestion des données de type data_list_small *}
<section class="hh_dashmodule_list_small">
    <div class="tab-pane">
        <h3>{l s='Sample data list small' mod='hh_dashmodule'}</h3>
        <div class="dash_list_small">
            <ul id="dash_list_small_sample">
            </ul>
        </div>
    </div>
    <p>&nbsp;</p>
</section>

{* Gestion des données de type data_trend *}
<section class="hh_dashmodule_trend">
    <div class="tab-pane">
        <h3>{l s='Sample data trend' mod='hh_dashmodule'}</h3>
        {l s='trend up' mod='hh_dashmodule'}<dd class="dash_trend"><span id="dash_trend_sample_1"></span></dd>
        {l s='trend down' mod='hh_dashmodule'}<dd class="dash_trend"><span id="dash_trend_sample_2"></span></dd>
    </div>
    <p>&nbsp;</p>
</section>

{* Gestion des données de type data_chart *}
<section class="hh_dashmodule_chart">
    <div class="tab-pane">
        <h3>{l s='Sample data Charts' mod='hh_dashmodule'}</h3>
        
        <p>{l s='Line chart' mod='hh_dashmodule'}</p>
        <div id="data_chart_sample_1" class="chart with-transitions">
             <svg></svg>
        </div>
        
        <p>{l s='Bar Chart' mod='hh_dashmodule'}</p>
        <div id="data_chart_sample_2" class="chart with-transitions">
             <svg></svg>
        </div>
        
    </div>
    <p>&nbsp;</p>
</section>

</section>